<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://kerosin.digital/
 * @since      1.0.0
 *
 * @package    Rss_Chimp
 * @subpackage Rss_Chimp/admin/partials
 */
?>
<div class="wrap">
	<h1><?php 
echo  esc_html( get_admin_page_title() ) ;
?></h1>
	<div class="kd-wrap">
		
        <?php 

if ( isset( $_GET['tab'] ) ) {
    $active_tab = $_GET['tab'];
} else {
    $active_tab = 'general';
}

?>
		
        <h2 class="nav-tab-wrapper">
			<?php 

if ( $active_tab == 'start' ) {
    ?><a href="?page=rss-chimp&tab=start" class="nav-tab"><?php 
    _e( 'Start', 'rss-chimp' );
    ?></a><?php 
}

?>
            <a href="?page=rss-chimp&tab=general" class="nav-tab"><?php 
_e( 'General', 'rss-chimp' );
?></a>
			<?php 
?>
        </h2>
		
		<div class="kd-content">
			<form action="options.php" method="post"><?php 
settings_errors();

if ( $active_tab == 'start' ) {
    ?><p>Start Test</p><?php 
} else {
    
    if ( $active_tab == 'general' ) {
        settings_fields( $this->plugin_name . '_tab_general' );
        do_settings_sections( $this->plugin_name . '_defaultfeed' );
        do_settings_sections( $this->plugin_name . '_othersettings' );
        submit_button();
    } else {
        
        if ( $active_tab == 'custom-feed' ) {
            settings_fields( $this->plugin_name . '_tab_custom' );
            do_settings_sections( $this->plugin_name . '_customfeed' );
            submit_button();
        }
    
    }

}

?></form>
		</div>
		
		<ul class="kd-sidebar">
			
			<?php 

if ( rss_chimp_fs()->is_free_plan() ) {
    ?><li class="kd-sidebaritem">
				<h2><?php 
    echo  __( 'Only for the real chimpions!', 'rss-chimp' ) ;
    ?></h2>
				<?php 
    echo  sprintf( __( 'Upgrade RSS Chimp and get access to a bunch of awesome features:', 'rss-chimp' ), rss_chimp_fs()->get_upgrade_url() ) ;
    ?>
				<ul class="kd-featurelist">
					<li><?php 
    echo  __( 'Premium Support', 'rss-chimp' ) ;
    ?></li>
					<li><?php 
    echo  __( 'Unlock more image sizes', 'rss-chimp' ) ;
    ?></li>
					<li><?php 
    echo  __( 'Add a custom feed with images', 'rss-chimp' ) ;
    ?></li>
					<li><?php 
    echo  __( 'Change the permalink of the custom feed', 'rss-chimp' ) ;
    ?></li>
					<li><?php 
    echo  __( 'Add custom HTML to your feeds', 'rss-chimp' ) ;
    ?></li>
					<li><?php 
    echo  __( 'Hide WordPress version from all feeds', 'rss-chimp' ) ;
    ?></li>
				</ul>
				<div class="kd-buttonwrap">
					<a class="button button-rsschimp" href="<?php 
    echo  rss_chimp_fs()->get_upgrade_url() ;
    ?>">
						<?php 
    echo  __( 'Upgrade RSS Chimp', 'rss-chimp' ) ;
    ?></a>
				</div>
			</li><?php 
}

?>
			
			<li class="kd-sidebaritem">
				<h2><?php 
_e( 'Houston, we have a problem!', 'rss-chimp' );
?></h2>
				<p><?php 
echo  sprintf( __( 'For help have a look on wordpress.org at the <a target="_blank" href="%1$s">support page</a>.', 'rss-chimp' ), 'https://wordpress.org/support/plugin/rss-chimp/' ) ;
?></p>
			</li>

			<a href="http://eepurl.com/c-IiFL" target="_blank"><li class="kd-sidebaritem">
				<img src="<?php 
echo  plugin_dir_url( dirname( __FILE__ ) ) . 'assets/monkeyreward.png' ;
?>">
				Registerfor a paid plan for Mailchimp and get $30 in MonkeyRewards on top for free!
			</li></a>
			
		</ul>

</div>