<?php

/**
 * Fired during plugin deactivation
 *
 * @link       https://kerosin.digital/
 * @since      1.0.0
 *
 * @package    Rss_Chimp
 * @subpackage Rss_Chimp/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Rss_Chimp
 * @subpackage Rss_Chimp/includes
 * @author     kerosin.digital <hello@kerosin.digital>
 */
class Rss_Chimp_Deactivator {

	/**
	 * Run on deactivation
	 *
	 * @since    1.0.0
	 */
	public static function deactivate() {
		
		/**
		 * Delete settings on deactivation
		 *
		 * @since    1.1.0
		 */
		if( get_option('rss_chimp_reset') == '1' ) {
			delete_option('rss_chimp_defaultfeed_disable');
			delete_option('rss_chimp_defaultfeed_imagesize');
			delete_option('rss_chimp_defaultfeed_content_after');

			delete_option('rss_chimp_add_customfeed');
			delete_option('rss_chimp_customfeed_name');
			delete_option('rss_chimp_customfeed_imagesize');
			delete_option('rss_chimp_customfeed_lenght');
			delete_option('rss_chimp_customfeed_content_after');

			delete_option('rss_chimp_generatortag');
			delete_option('rss_chimp_reset');
		}

	}

}
